GET
Python

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

The payment ID.

Response

Successful Response

Schema of a payment with a card payment method.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

id
string<uuid4>
required

The ID of the object.

processor
enum<string>
required

The payment processor.

Available options:
stripe,
paypal,
manual
Example:

"stripe"

status
enum<string>
required

The payment status.

Available options:
pending,
succeeded,
failed
Example:

"succeeded"

amount
integer
required

The payment amount in cents.

Example:

1000

currency
string
required

The payment currency

Example:

"usd"

method
string
required

The payment method used.

Allowed value: "card"
Example:

"card"

trigger
enum<string> | null
required

What initiated this payment attempt, e.g. initial purchase, subscription renewal, or an automated dunning retry.

Available options:
purchase,
subscription_cycle,
retry_dunning,
retry_customer,
retry_payment_method_update,
retry_admin
Example:

"subscription_cycle"

decline_reason
string | null
required

Error code, if the payment was declined.

Example:

"insufficient_funds"

decline_message
string | null
required

Human-readable error message, if the payment was declined.

Example:

"Your card has insufficient funds."

organization_id
string<uuid4>
required

The ID of the organization that owns the payment.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

checkout_id
string<uuid4> | null
required

The ID of the checkout session associated with this payment.

Example:

"e4b478fa-cd25-4253-9f1f-8a41e6370ede"

order_id
string<uuid4> | null
required

The ID of the order associated with this payment.

Example:

"e4b478fa-cd25-4253-9f1f-8a41e6370ede"

method_metadata
CardPaymentMetadata · object
required

Additional metadata for the card payment method.

processor_metadata
Processor Metadata · object

Additional metadata from the payment processor for internal use.